Overview

Loop Recorder records audio data from your soundcard. You don't miss the start of a song or sound: Loop Recorder will always keep the last few minutes for you.

First Steps

Loop Recorder instantly starts the recording in loop mode (default: 10 minutes).

First of all, you should select the source, that you wish to record from by using the Mixer.

The LEDs should show the signal that you want to record.

To stop the recording, click Edit and Save.

Features

  • Loop Recording: Record music from the radio or microphone and don't miss the beginning.
  • Scheduled Recording: Record automatically using the System Agent.
  • Internet Radio Recording: Record from your Media Player or Real Player.
  • Internet Radio Recording: Record from your Media Player or Real Player.
  • Archive Recording (Loop Recorder Pro only): Recording 24h/7days.

Modes

  • Loop Recording Mode (default)
  • Continuous Recording Mode
  • Archive Recording Mode (Loop Recorder Pro only)
  • Idle, no recording

The modes are controlled by the Time Settings.

Updates

For Updates and Registration, go to the Loop Recorder Homepage:

http://www.looprecorder.de/

See also

Information in this document is subject to change without notice.

© 2002 Thomas Riechmann, Gerald Riechmann


Recording Modes

Loop Recording

Loop Recording mode records a specified time of wave data using temporary files. Old data is automatically deleted, so the last few minutes are always available. The number of minutes for the Loop Recording can be changed by pressing the button Change....

To stop the recording and discard all temorary data, press the button Loop Recording again.

Continuous Recording

Continuous Recording mode will stop deleting older data and continue the recording.

To save the recorded audio data, please press the button Edit and Save or Quick Save.

Click the button Loop Recording to return to this mode.

To have the wave automatically saved after some time, specifiy this in the menu Change....

To stop the recording and discard all temorary data, please press the Continuous Recording button again.

Wheather you selected Loop or Continuous mode is not saved as a setting. To start Loop Recorder in Continuous mode, please use the system agent scheduler or command line switches.

Archive mode (Loop Recorder Pro only)

In Archive mode, Loop Recorder automatically saves the recorded audio repeatedly.

  1. Select one of the automatic file naming macros, so that old files are not overwritten.
  2. Open the time settings menu, by clicking Change. Click Archive mode and configure the size and overlapping duration of the saved parts.
  3. Activate the Loop mode by clicking Loop Recording.
  4. Optinally click Save settings as default, so that Loop Recorder Pro will start in Archive Mode the next time.

In Archive mode, you can additionally click Edit and Save to cut parts of your recording and save it seperately.

You should have one of the supported MP3 encoder codecs, to reduce the hard disk space usage and set the file name to one of the MP3 formats in the target settings.

If you save to MP3, you should have a computer, that is fast enough to encode MP3s in real time or better. Please disable your screensaver, because it might consume too much CPU power.


Mixer

The Mixer

Selecting the sources

The mixer is required to select the sources that you wish to record from and to adjust the level. It is part of Windows but can be opened right from Loop Recorder's main window by clicking the button Mixer.

Click Mixer

To customize this help page, please chose your operating system: [Windows 95/NT] [Windows 98/ME/2000/XP]

  1. Click here to open the Windows Setup. Click Multimedia and check the Volume Control, click Ok.
  2. Click here or click the button Mixer in Loop Recorder's main window to open the mixer. If it does not work, first install the Volume Control.
  3. Change to the Record Control view and select the sources that you might need. If you already see the Record Control, you can skip this step.
    1. Click Options, click Properties to open the Mixer's properties.

    2. Check all the sources that you might need, this only changes which sources are displayed in the mixer, Click Ok.

  4. You should see the Record Control. If you see the Play Control, first change to the Record Control.

  5. Select the source(s) that you want to record from. To record from the internet radio, select Wave (other possible names are What U Hear, Line out, Mixed output, Stereo Out...). If the desired sources can not be found, first select the sources that you need.
  6. Keep Loop Recorder's LEDs in view to see the effect while changing the sources and adjusting the level.
  7. If you found the best mixer settings for your source, you tell Loop Recorder to restore them on startup either by the Config settings or command line.


Internet Radio

Recording Internet Radio

Loop Recorder can record the sound as it is played from your Realplayer or other live streaming audio players. For that purpose a soundcard is recommended that supports fullduplex. This means, that it can playback and record audio at the same time.

If you get a "device-busy" message, it could meen, that your soundcard does not support full-duplex (see below).

We recommend Soundblaster Live, which supports fullduplex as well as recording from the wave out device.

Full duplex sound cards

Most current sound cards are full duplex capable and allow to record the sound of Media Player or Real Player.

  1. Start the Windows Media Player or Real Player with your favorite internet radio station.
  2. Start Loop Recorder.
  3. Click the button Mixer
  4. As source select one of Wave, What U Hear, Line out, Mixed output, Stereo Out... or similar.
  5. Watch the LEDs to see the effect. For details see the topic Mixer.

To get the best results, check the quality of the playback. Set Loop Recorder to the same quality, e. g. 22050 Hz, stereo.

If you get a "device busy" message from Loop Recorder:

Some streaming audio players additionally open the recording device (which they should not!). Solution: First start Loop Recorder, then the internet radio.

Half duplex sound cards

Older sound cards like the SB16 cannot record while they play back at the same time, so it's not possible to record the internet radio. We recommend that you update your sound card to a full duplex one.

However we have found a software that will let you record the internet radio with Loop Recorder even with a half duplex sound card: Virtual Audio Cable

Using Virtual Audio Cable (half duplex sound cards)

Virtual Audio Cable is a third party software by Eugene V. Muzychenko.

Using VAC will allow you to record internet radio even with a half duplex sound card. In our tests it seemed to be stable.

  1. Download the demo version of [image] Virtual Audio Cable, unzip the files and install VAC - see the vac.chm help file for instructions.
  2. Click here to open the Multimedia settings. As both of the preferred devices select Virtual Audio Cable.
  3. Open the Audio Repeater, select Virtual Cable In and Your Sound card's Out and click Start.
  4. Open the internet radio in your Windows Media Player or Real Player.
  5. Open Loop Recorder.


Saving Audio Data

Saving Wave files

Edit and Save opens the Editor. This handy tool lets you prelisten the audio data and cut the edges to save one or more tracks from the recorded data to disk. Plus you can fade the edges of each track saved.

Press the Quick Save button to save the temporary audio data to the specified wave file (Target Settings). If it exists ((exists) will show up), you can let Loop Recorder find a new nonexistent file name by pressing the + button or you can click Browse... to specify one.

The target file will be overwritten without a warning, if it exists.

You can have the wave automatically be saved on application close or after a specified time, by checking the option in the Change... menu. These options are mostly also available as command line switches.

In the Config... box, you can select, if Loop Recorder should stop or continue recording and if it should flush the audio buffer when you click Quick Save or Edit and Save.

The Progress section displays, how much recorded data is buffered for saving.

Saving as MP3/MP2

In the Save As boxes, you can change the file type to Wave Audio (*.wav) or one of a number of MP3 or MP2 formats, provided that you have one of the supported codecs.


Advanced file naming

Automatic file naming

Loop Recorder offers auto naming macros. The wizard can be found in:

Click >> Advanced...

Auto incrementing number %n, %N

%n and %N will be replaced to a number, so that no file is overwritten. So, if Loop Recorder repeatedly saves files, the number will automatically count up. %n starts counting only if neccessairy, %N will be replaced with "1" even if no such file exists.

Example

 | LoopRec %n.mp3 | LoopRec%N.mp3
1 | LoopRec 1.mp3 | LoopRec.mp3
2 | LoopRec 2.mp3 | LoopRec1.mp3
3 | LoopRec 3.mp3 | LoopRec2.mp3

Date and Time based macros (Loop Recorder Pro only)

These macros are based on the starting and ending real date and time of the current recording.

 | Macro | Example
Start time | %h.%m.%s | 23.30.00
End time | %H.%M.%S | 01.30.00
Start date | %y.%o.%d | 01.05.01
End date | %Y.%O.%D | 01.05.02

All date/time values are formatted as 2 digits with a leading zero (00, 01... 99). If you prefer a 4-digits year, please enter 20%y.

Some examples can be copied by clicking Copy.


MP3/MP2 Codecs

Loop Recorder can save recordings in the compressed MP3-format. You need to configure an encoder codec. The configuration can be found in:

Click >> Advanced... Coose Codec...

Supported MP3/MP2 encoders

To use Loop Recorder's MP3-support, you need one of the following MP3 encoders:

  • Lame_Enc.dll or BladeEnc.dll compatible encoders.
  • ACM: Fraunhofer's Professional Codec (l3codecp) can be [image] purchased from Opticom (product code PRP-2A).
  • ACM: Fraunhofer's Advanced Codec (free) (l3codeca) supports sampling rates of up to 24kHz, which is great for speach and internet radio. It is included in Windows 98 (first edition), Windows XP and the [image] Windows Media Player 7.
  • MP2 codec: Loop Recorder supports the MP2 codec [image] QDesign MPEG ACM. As far as we know, it is the only ACM compatible MP2 codec.

Installation

Lame_Enc.dll, BladeEnc.dll compatible encoders:

Copy the DLL file(s) to the Windows\System folder or to the Loop Recorder folder.

Fraunhofer's Advanced Codec:

  1. Install the [image] Windows Media Player 7.

  2. Windows 95/98/ME:

    Edit system.ini
    Open the file Windows\System.ini in notepad (doubleclick the file) and add the following line to the section [drivers32]:

    [drivers32]
msacm.l3acm=l3codeca.acm

    Windows NT/2000/XP:

    Open the Registry Editor
    Add the key with the name msacm.l3acm and value l3codeca.acm to HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows NT\CurrentVersion\Drivers32

  3. Reboot

Check if the Fraunhofer codec is installed correctly:

  1. Click here to open the Multimedia settings.
  2. Click Audio Compression Codecs.
  3. Make sure, the Fraunhofer IIS MPEG Layer-3 Codec is listed.

After you have installed any of the encoder codecs, please select one of them in Config.../File/Choose Compression Codec...


Progress Indicators

Progress

The progress indicators will update with every read buffer. So the update frequency is depending on the configured buffer size and the audio input settings.

Recorded Time & Used Space

Recorded Time and Used Space show the amount of recorded temporary audio data. In loop mode, it will first grow and then stay the same until you continue the recording. If you change to Loop mode again it will fall back to the loop recording time.

Level Meters

The level meters show the peek levels for both channels. To avoid clipping, adjust your mixer so that the level meters never reach “100%”.

If the LEDs stay at 0% you have probably selected the wrong channel or adjusted the level too low in the mixer.

To open the mixer, please click the button Mixer in Loop Recorder's main window.


Loop Recording

Let Loop Recorder run in the background and you'll never miss the beginning of a song that you want to record. Click Mixer to select the input channel and adjust the levels. Keep Loop Recorder's level meters in view to see the effect.

Record a song from the radio

  1. Run Loop Recorder in the background with a loop of e.g. 10 minutes. To record from an external radio, the Mixer should be set to Line-in.
  2. When your hear a song that you like, optionally change the target filename to the title of the song (button Browse...).
  3. Finally click Edit and Save, when the song is over.
  4. In the Editor, trim the edges.

Record Streaming Audio from the Internet Radio

See Recording Internet Radio.

Scheduled Recording

See Scheduled recordings with the System Agent.

Performance

Loop Recorder uses special multimedia functions for disk reading and writing, that don't use caching. So your disk cache will be kept clean and ready for the files you access often. Please enable this in the Config... box.

On a P450, the minimized Loop Recorder runs with only 0.6% CPU usage. You will not even recognize, that Loop Recorder is running. We recommend to add it to the Startup folder of the Start Menu, so you will never miss the beginning of something that you would have liked to record.


Editor

When you have recorded some audio data, you can click either Quick Save or Edit and Save, which opens the Editor. The Editor lets you prelisten the recorded wave, cut the edges, fade the beginning and end and save the desired track to disk.

Click Edit and Save

Trimming the Edges

  • To trim the left or right edge, click the buttons [image] Adjust start- or [image] Adjust end position.
  • Click a position in the wave display. This will play a short sample of the first or last bit plus it will set the start- or end position.
  • To prelisten the selected track, change to the [image] Play mode and click into the wave display or click the [image] Play button.
  • Finally click the [image] Save or [image] Save and Close button to save the selected track to disk.

Saving with the Editor

  • When closing the Editor, you will only be asked to save the wave, if you have not saved anything from this track before.
  • Saving a wave by closing the Editor saves temorary disk space, because Loop Recorder deletes the data as it saves it to disk. We recommend to click [image] Save and Close.
  • Closing the Editor without saving will delete the recorded data.
  • You can repeatedly save selections from the recorded data, e.g. if you have recorded more than one track at once.

See also: Saving Audio Data

The Fader

  • The slider lets you select fade in or fade out durations - depending on whether you edit the [image] start- or [image] end position.
  • The recommended minimum fade time is 0.003 seconds to prevend pops.
  • To prelisten the wave with the fadings, check [image] Play fade in and fade out.
  • The fadings are displayed as a color gradient.
  • The selected fading durations will be saved if you click Save Settings in the main window.

Other Features

  • Double clicking a position in the wave display centers it and performs a zoom-in.
  • The Editor window is resizable!
  • Check [image] Auto-Amplify to normalize the wave to 100% on save. The actual amplification is displayed in the button's tooltip.
  • The preview is based on peak values of both tracks of the original audio data.
  • Closing the Editor will not cancel previous saving processes. So you may close the Editor when you started all savings.


Scheduled recordings with the System Agent

The System Agent lets you plan tasks that should be run at specified days and times such as Scan Disk, Backup and ... Loop Recorder. It can be found in “My Computer” and in the Windows\Tasks folder.

The System Agent is part of Windows 98/ME. For Windows 95 you can get the System Agent by installing Plus! 95 or [image] Internet Explorer 5 or better, which can be downloaded for free.

Plan a scheduled recording

To plan a scheduled recording, open the System Agent. Click new job, select Loop Recorder from the list or by clicking the Browse button. In the properties of your new job, you can specify when to start Loop Recorder.

Job settings (Windows 9x/ME)

In the first tab of the job properties, click Settings.

Input
Set the quality and volume (recording mixer chennel and level).
General
Start minimized/windowed.
Target
Specify the file name and format (wav/mp3, mp3 quality).
Timing
This stops the recording after the specified time and saves or opens the editor.

Command line (Windows NT/2000/XP)

Add flags to the command line of the job. A typical command line could be:

"c:\Program Files\Loop Recorder\LoopRec.exe" -i -v:2-60 -c:1:30:00 -n -f:112:"C:\MyMp3.mp3"

Read the topic Command Line for details.

After you have set all the preferences for the job, please test it by right-clicking it and selecting start.


Config

To change the sound configuration and other settings, click the button Config.... Note that the recording will have to be stopped. To make the settings permanent, don't forget to click Save Settings as default in the main window.

Click >> Config... ... Ok Save settings as default

Input

Buffers

Different sound card drivers can require different memory buffer settings. The default settings should work fine for most sound cards, but if you hear skips or dropouts in recording, you may need to adjust the buffer size or the buffer granularity.

Use these settings to reserve memory for recording by selecting a buffer size. A greater buffer size will allow increased multitasking while audio is being recorded, at the expense of taking more of your computer's memory.

If you do experience break-ups in your recorded audio, increase the buffer size or decrease the buffer granularity.

Open Output Device

Older Sound Blaster™ cards like SB16, AWE32 don't support 16-bit recordings and 16-bit playback at the same time in full duplex mode. If you check this option, Loop Recorder opens the output device before opening the input device and closes it again. So the audio playback during the recording will get the 16 bit quality at the expense of a worse record quality.

Checking this option can only worsen the recording quality. So use it only, if you have such an older Soundcard and really need a high playback quality while Loop Recorder is recording.

If you uncheck this option, Loop Recorder will open only the input device to give you the best recording quality on Sound Blaster™ cards as possible. (Recommended!)

Input Settings

The default input quality is stereo, 44100 Hz. You can change it for your needs. If you want to have other values at startup, you can use the command line switch -q or change the setting here and click Save Settings in the main window.

If you would like to record from a second soundcard, please select it as primary source in the Windows Control Panel.

Click here to open the Multimedia settings.

Retrieve Volume Settings

This button will generate the command line option to start Loop Recorder with, based on the current mixer settings. Started with this option, Loop Recorder will restore the input mixer settings initially.

Click Clear Volume Settings to disable the volume restoration.

To start the mixer, please click the button Mixer in Loop Recorder's main window.

General

On Quick Save & On Edit and Save...

Loop Recorder can continue to record when you quicksave or edit the recorded audio data. So you can continuously record and repeatedly open parts of the recording by clicking Edit and Save.

 | On Quick Save... | On Edit and Save...
Stop recording | You will need to restart the recording manually. | Recommended for older soundcards without full duplex mode, because listening to the recorded audio is impossible, when the recording continues.
Restart recording | The recording is restarted, so it does not overlap with the saved data or the data in the Editor. | You need a full duplex soundcard to cut the edges, when the recording continues.
Continue recording | The recording continues and the current audio data is kept. A copy of it is saved to disk or moved to the Editor. | The recording continues and the current audio data is kept. So you can repeatedly edit overlapping areas. You need a full duplex soundcard to cut the edges, when the recording continues in the background.

Graphical Editor

Loop Recorder's Editor can automatically stop playing, when you switch to other tasks. Especially when you open more than one of Loop Recorder's Editors, you sometimes might not be able to stop the playback quickly, simply because you forgot, which one was playing. On the other hand, you maybe want to listen to the recording while you work with other programs.

Stop playing...
...on focus loss | Always stop playing, when you switch to other programs or windows.
...on iconify | When you minimize the Editor, it will stop playing, because you want to cut the edges of this recording later.
...never. | Keep on playing until you click the play button again or the end of the recording is reached. This is useful, when you want to listen to the recording, while you work with other programs.

Animated Status

The animated status icon can be disabled. Note that the animation stops automatically when hidden/minimized. So if Loop Recorder runs in background, checking this option will not lower the CPU usage.

Tray Icon

If checked, Loop Recorder will add its icon to the systemtray.

File

File edit with

Specify the program, the saved wave should be opened with, when you click the Edit button in the main window. This is independent from Loop Recorder's own Editor, that starts when you click Edit and Save.

Temporary Folder

Temporary files will be saved to this folder. The default is Windows Temp (mostly c:\Windows\Temp).

Note that if you save a Wave to the same drive that your temporary folder is on, you don't need the disk space twice, because the data is deleted as it is saved.

Bypass Cache

When recording Megs of data, usually Windows lets your disk cache grow and grow, which takes more and more of your RAM.

Checking this option will make Loop Recorder bypass the cache and write directly to your harddisk to give you a better performance. The recorded audio does not use any RAM, because it is directly written to disk.

Bypass Message Queue

When your computer is in heavy use, checking this option might decrease the probability of dropouts in recorded audio. (Does not work with Windows NT.)

Choose Compression Codec

Here you can select the encoder codec, that Loop Recorder should use for MP3s. All alternatives are displayed regardless whether they are installed. Please use the Test button to test them.

See MP3 Codec for details.


Time Settings

Click Change...

Continuous Mode

The continuous mode offers a number of options to automatically stop the recording after a given time.

None | Infinite recording until you stop it manually.
Save on application close | Infinite recording until you close Loop Recorder, then Quick Save.
Save/Edit after | Specify a number of minutes, after that the recording should stop.

Save/Edit after lets you select, if Loop Recorder should continue recording or stop or...

Close application | Close Loop Recorder after quick saving.
Enter idle mode | Stop the recording.
Restart continuous mode | This will repeatedly quick save or open editor windows.
...and increase filename | This will repeatedly quick save, everytime to a new file.
Loop mode | Keep on recording, but in loop mode.

Some of these automation optins are also available as command line switches. For scheduled recordings, the System Agent offers its own menu for time settings.

Loop Mode

This is the time for the loop mode.

To save the changed loop time, please click Save settings as default in the main window.

Note that you will need about 10 MBs per minute of space on your temporary drive (at 44100 Hz, stereo). So a 5-minutes-loop will need about 50 MBs constantly.

Archive mode (Loop Recorder Pro only)

Here you can choose the saving interval and overlapping starts/ends for the Archive mode.


Command Line

Loop Recorder offers some command line options for batch recording jobs. You can add switches to Shortcuts.

To add switches to a shortcut, e. g. the one on your Desktop, please right click it and select Properties. Append the switches to the end of the target line.

Options

Command Line | Action
LoopRec.exe -i | Start minimized.
LoopRec.exe -x | Start in idle mode, don't record on startup
LoopRec.exe -f:"MyWave.wav" LoopRec.exe -f:112:MyMp3.mp3 | Set target filename to MyWave.wav. When specifying a MP3 file, you can set the bitrate in kps
LoopRec.exe -n | Find a new target filename, like the +-button.
LoopRec.exe -c:12:34 | Quick save and close automatically after 12 mins, 34 secs.
LoopRec.exe -e:43:21 | Stop recording and start Editor automatically after 43 mins, 21 secs.
LoopRec.exe -s | Save on exit.
LoopRec.exe -q:m LoopRec.exe -q:s:22050 | Quality: (m)ono or (s)tereo, sampling rate (Hz): 48000, 44100, 22050, 11025 or 8000.
LoopRec.exe -v:3-28:4-85 | mixer-volume: on startup, set input 3 to 28%, input 4 to 85% and mute all others. You can get the options for the current mixer settings in the Config menu.

Examples

Command Line | Action
LoopRec.exe -i -c:9:00 -f:"c:\Music\My Rec.wav" | Start minimized, automatically record 9 minutes, save it and exit.
LoopRec.exe -i -n -s -f:c:\AutoRec.wav | Start minimized, on close save to a new file (AutoRec1.wav, AutoRec2.wav ...)


Register

Loop Recorder is a shareware program. You are limited to 30 days of use for an unregistered version.

If you find it useful and continue to use it you are obligated to register it with the authors.

Internet, Credit Card

You can register Loop Recorder at our secure Web server by credit card. We will send you the registration code by e-mail, which will instantly turn Loop Recorder into a registered version.

For Updates and Registration, visit the Loop Recorder Homepage:

http://www.looprecorder.de/

Registration Benefits

  • Your registration code will work with all future 2.x versions of Loop Recorder.
  • The registered version of Loop Recorder does not have a time limit.
  • A better performance with Windows 95/98 and ME.
  • There are no reminder screens in the registered version.
  • Other input settings like mono or 48kHz, 22kHz are enabled.
  • Purchasing this program will support our work on future versions.

Questions & Feedback?

If you have questions, feel free to send us your requests. Be sure, that you check out the FAQ before.

info@looprecorder.de
Technical support and general questions
sales@config.de
Shareware registration process

Please send your requests in english or german.


License Agreements

Please select your language and read carefully before using this software. By using the software, you are agreeing to be bound by the terms of this license.

Config Informationstechnik eG Software License (english)

PLEASE READ THIS SOFTWARE LICENSE AGREEMENT "LICENSE" CAREFULLY BEFORE USING THE SOFTWARE. BY USING THE SOFTWARE, YOU ARE AGREEING TO BE BOUND BY THE TERMS OF THIS LICENSE. IF YOU DO NOT AGREE TO THE TERMS OF THIS LICENSE, CONFIG IS UNWILLING TO LICENSE THE PROGRAM TO YOU. IN THIS EVENT, PROMPTLY RETURN THIS UNOPENED, UNUSED SOFTWARE TO THE PLACE, WITHIN TEN (10) DAYS OF PURCHASE, WHERE YOU OBTAINED IT FOR A REFUND.

  1. License. Config eG grants you a limited, non-exclusive, non-transferable License to (a) use the Program on a single PC only, and (b) make only such copies of the software portion of the Program as necessary to enable your use of the Program on a single PC, provided any such software copies must include Config's copyright notice. Config eG retains ownership of the Program and all copyright and other proprietary rights therein. All rights not expressly granted to you in this License are reserved.
  2. Permitted Uses and Restrictions. YOU MAY NOT: (a) Rent, lease, lend, loan, distribute, sublicense or otherwise transfer the Program in whole or in part to any other party; (b) Make any copies of the documentation portion of the Program; (c) Modify, translate, decompile, disassemble, reverse-engineer or otherwise reduce the Program to a human-perceivable form; or (d) Remove or obscure any copyright or trademark notices, (e) transmit the Program from one unit to another electronically or by a network. Any upgrade or enhancement of the Program subsequently supplied by Config eG may be used only upon the destruction of the prior version. The older version cannot be sold or transferred to any other third party. Unless otherwise specified in writing by Config eG, all upgrades and enhancements, if any, supplied to you shall be governed by this License. This License and the License granted hereunter will terminate automatically and without notice if you breach any terms of this License, and you agree upon any such termination to return the Program to Config eG
  3. Limited Warranties. You expressly acknowledge and agree that use of the Program is at your sole risk. The Program and related documentation are provided "AS IS" and without warranty of any kind and Config eG EXPRESSLY DISCLAIM ALL WARRANTIES, EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. Config eG DOES NOT WARRANT THAT THE FUNCTIONS CONTAINED IN THE PROGRAM WILL MEET YOUR REQUIREMENTS, OR THAT THE OPERATION OF THE PROGRAM WILL BE UNINTERRUPTED OR ERROR-FREE, OR THAT DEFECTS IN THE PROGRAM WILL BE CORRECTED. FURTHERMORE, Config eG DOES NOT WARRANT OR MAKE ANY REPRESENTATIONS REGARDING THE USE OR THE RESULTS OF THE USE OF THE PROGRAM OR RELATED DOCUMENTATION IN TERMS OF THEIR CORRECTNESS, ACCURACY, RELIABILITY, OR OTHERWISE. NO ORAL OR WRITTEN INFORMATION OR ADVICE GIVEN BY Config eG OR AN AUTHORIZED REPRESENTATIVE OF Config eG SHALL CREATE A WARRANTY OR IN ANY WAY INCREASE THE SCOPE OF THIS WARRANTY. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU (AND NOT Config eG OR AN AUTHORIZED REPRESENTATIVE OF Config eG) ASSUME THE ENTIRE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION IF IMPLIED WARRANTIES, SO THE ABOVE EXCLUSION MAY NOT APPLY TO YOU.
  4. Limitation of Liability. UNDER NO CIRCUMSTANCES INCLUDING NEGLIGENCE, SHALL Config eG BE LIABLE FOR ANY INCIDENTAL, SPECIAL OR CONSEQUENTIAL DAMAGES THAT RESULT FROM THE USE OR INABILITY TO USE THE PROGRAM OR RELATED DOCUMENTATION, EVEN IF Config eG OR AN AUTHORIZED REPRESENTATIVE OF Config eG HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. Some jurisdictions do not allow the limitation or exclusion of liability for incidental or consequential damages so the above limitation or exclusion may not apply to you. IN NO EVENT SHALL Config eG TOTAL LIABILITY TO YOU FOR ALL DAMAGES, LOSSES, AND CAUSES OF ACTION WHETHER IN CONTRACT, TORT INCLUDING NEGLIGENCE OR OTHERWISE EXCEED THE AMOUNT PAID BY YOU FOR THE PROGRAM.
  5. Export Law Assurances. You agree and certify that neither the Program nor any other technical data received from Config eG, nor the direct product thereof, will be exported outside the United States except as authorized and as permitted by the laws and regulations of the United States.
  6. U.S. Gouvernment Restricted Rights. If you are acquiring the Program on behalf of any unit or agency of the United States Government, the following provisions apply. The Government agrees: (a) if the Program is supplied to the Department of Defense (DoD), the Program is classified as "Commercial Computer Software" and the Government is acquiring only "restricted rights" in the Program, its documentation as that term is defined in Clause 252.227- 7013(c)(1) of the DFARS; and (b) if the Program is supplied to any unit or agency of the United States Government other than the DoD, the Government's rights in the Program, its documentation will be as defined in Clause 52.227-19(c)(2) of the FAR or, in the case of NASA, in Clause 18-52.227-86(d) of the NASA Supplement to the FAR.
  7. Allocation of Risk. You acknowledge and agree that this License allocates risk between you and Config eG as authorized by the Uniform Commercial Code and other applicable law, and that the pricing of Config eG products reflects this allocation of risk and the limitations of liability contained in this License. If any remedy hereunder is determined to have failed of its essential purpose, all limitations of liability and exclusions of damages set forth in this License shall remain in effect. If for any reason a court of competent jurisdiction finds any provision of this License, or portion thereof, to be unenforceable, that provision of the License shall be enforced to the maximum extent permissible so as to effect the intent of the parties, and the remainder of this License shall continue in full force and effect.
  8. State Law Rights. This License gives you specific legal rights, and you may also have other rights which vary from state to state. Some states do not allow the exclusion or limitation of implied warranties or of liability or consequential damages, so some of the above may not apply to you.
  9. General. This License constitutes the entire License between the parties with respect to the use of the Program or related documentation and supersedes all prior or conterporaneous understandings or Licenses, written or oral, regarding such subject matter. No amendment to or modification of this License will be binding unless in writing and signed by a duly authorized representative of Config eG

Config Informationstechnik eG Software Lizenzvertrag (deutsch)

BITTE LESEN SIE DIESEN LIZENZVERTRAG SORGFÄLTIG DURCH, BEVOR SIE DIE SOFTWARE IN GEBRAUCH NEHMEN. WENN SIE DIE SOFTWARE BENUTZEN, ERKLÄREN SIE DAMIT IHR EINVERSTÄNDNIS MIT DEN BEDINGUNGEN DIESES LIZENZVERTRAGES. EINER GESONDERTEN MITTEILUNG AN CONFIG EG ODER IHREN HÄNDLER BEDARF ES NICHT. WENN SIE MIT DEN BEDINGUNGEN DES LIZENZVERTRAGES NICHT EINVERSTANDEN SIND, SCHICKEN SIE DIE UNGEBRAUCHTE, UNGEÖFFNETE SOFTWARE INNERHALB VON ZEHN (10) TAGEN NACH KAUF DORTHIN, WO SIE SIE ERSTANDEN HABEN.

  1. Lizenz. Config eG ist Eigentümer der Software und aller Rechte. Alle Rechte, die Ihnen nicht ausdrücklich in diesem Lizenzvertrag gewährt werden, sind vorbehalten. Config eG erteilt Ihnen ein eingeschränktes, nicht-exklusives und nicht übertragbares Recht zur Nutzung der Software und der dazugehörigen Dokumentation (nachfolgend "Software"), der dieser Lizenzvertrag beigepackt ist, gleichgültig, ob sie sich auf Diskette oder einem anderen Datenträger befindet. Sie haben das Recht Kopien von der Software anzufertigen zum ausschließlichen Zweck, um Ihr Nutzungsrecht sicher zu stellen. Alle Kopien müssen einen Copyright-Vermerk von Config eG tragen.
  2. Nutzung und Beschränkungen. Die Software enthält Betriebsgeheimnisse und urheberrechtlich geschützte Rechte. Sie verpflichten sich deshalb, soweit nicht gesetzlich etwas anderes vorgesehen ist, es zu unterlassen, die Software zu dekompilieren, zurückzuentwickeln, zu disassemblieren oder in sonstiger Weise in eine für Personen wahrnehmbare Form zu bringen, zu kopieren, zu modifizieren, zu verleasen, oder von der Software ganz oder teilweise abgeleitete Werke zu erstellen, anzupassen, oder zu übersetzen, oder Copyright-Vermerke von der Software zu entfernen. Sie dürfen die Software auch nicht durch elektronische Übertragung von einem Gerät auf ein Anderes oder über ein Netzwerk übertragen. Jedes zukünftige Upgrade und jede zukünftige Erweiterung dieser Software, das von Config eG geliefert wird, unterliegt - soweit nicht anders festgelegt - diesem Lizenzvertrag. Dieser Lizenzvertrag verliert seine Wirkung automatisch, ohne dass es einer Kündigung von Config eG bedarf, wenn Sie gegen irgendeine Bestimmung dieses Lizenzvertrages verstoßen. In diesem Fall sind Sie verpflichtet, die Software, die dazugehörige Dokumentation an Config eG zurückzusenden. Bei der so herbeigeführten Beendigung des Lizenzvertrages bleiben die Verpflichtungen aus diesem bestehen, wobei Sie keine Rückerstattungsansprüche aus dem Erwerb der Software haben. Neben dieser automatischen Beendigung des Lizenzvertrages bleibt es Config eG vorbehalten, weitere Schadenersatzansprüche aus der Verletzung des Lizenzvertrages geltend zu machen.
  3. Gewährleistung. Anwendern von Software ist bekannt, dass es nicht möglich ist, diese so zu entwickeln, dass sie unter allen Anwendungsbedingungen fehlerfrei ist. Eventuelle erhebliche, den Gebrauchswert der Software mindernde Mängel an dieser sind, soweit sie offenkundig sind oder werden, Config eG innerhalb von zwei Wochen nach Feststellung des Mangels schriftlich anzuzeigen, längstens jedoch vor Ablauf der gesetzlichen Verjährungsfrist von 6 Monaten. Die im kaufmänischen Geschäftsverkehr bestehende weitergehende Anzeigepflicht gemäß §377 HGH bleibt unberührt. Werden diese Anzeigepflichten nicht erfüllt, ist jegliche Gewährleistung ausgeschlossen. Sollte sich ein Softwarefehler herausstellen, so sind die Original-Disketten, auf denen die Software gespeichert ist, ordnungsgemäß verpackt an Config eG einzusenden. Der beanstandeten Software sind Ihr Name, Ihre Anschrift und Ihre Telefonnummer, eine Beschreibung des Fehlers und der Kaufbeleg beizufügen. Eine eventuelle Gewährleistung erfolgt ausschließlich nach Wahl von Config eG durch Nachbesserung oder Ersatzlieferung. Bleiben Nachbesserung und/oder Ersatzlieferung erfolglos, können Sie nach Ihrer Wahl Herabsetzung der Lizenzgebühr (Minderung) oder die Rückgängigmachung des Lizenzvertrages (Wandlung) verlangen. Für Software, die geändert, erweitert oder beschädigt wurde, wird keine Gewähr übernommen, es sei denn, dass die Änderung, Erweiterung oder Beschädigung für den Mangel nicht ursächlich war. Eine weitergehende Gewährleistungspflicht besteht nicht. Insbesondere besteht keine Gewährleistung dafür, dass die Software Ihren speziellen Anforderungen genügt. Sie tragen die alleinige Verantwortung für Auswahl, Installation und Nutzung sowie für die damit beabsichtigten Ergebnisse. Config eG macht keinerlei Zusicherungen in bezug auf die Verwendbarkeit für einen bestimmten Zweck. Weder ein Bevollmächtigter von Config eG noch ein autorisierter Händler sind berechtigt, Veränderungen an dieser Gewährleistung vorzunehmen, noch abweichende Gewährleistungsregelungen zu treffen. Für die Richtigkeit eventueller Zusicherungen autorisierter Händler steht Config eG nicht ein.
  4. Schadenersatz. Eine vertragliche oder außervertragliche Schadenersatzpflicht seitens Config eG sowie dessen Angestellte und Beauftragten besteht nur, sofern der Schaden auf grobe Fahrlässigkeit oder Vorsatz zurückzuführen ist. Eine weitergehende zwingende gesetzliche Haftung bleibt unberührt. Soweit Config eG für leichte Fahrlässigkeit eines nicht leitenden Angestellten oder Beauftragten haftet, ist die Haftung auf den bei Vertragsschluß vorhersehbaren Schaden begrenzt. Für den Verlust von Daten wird keinesfalls gehaftet, es sei denn, dass dieser Verlust durch regelmäßige - im kaufmänischen Geschäftsverkehr tägliche - Sicherung der Daten in maschinenlesbarer Form nicht hätte vermieden werden können. Ferner wird keinesfalls für Schäden gehaftet, die durch sonstige Fehlleistungen von Config eG entstanden sind und die durch regelmäßige zeitnahe Überprüfung der bearbeiteten Vorgänge hätte vermieden werden können. Soweit Schadenersatzansprüche nicht nach den gesetzlichen Vorschriften früher verjähren, verjähren sie - mit Ausnahme von Ansprüchen aus unerlaubter Handlung und nach dem Produkthaftungsgesetz - spätestens mit dem Ablauf von 2 Jahren ab Erbringung der mangelhaften Leistung. Config eG haftet für zu vertretende Schäden bis zur Höhe des Verkaufspreises der Software. Eine Haftung für entgangenen Gewinn, ausgebliebene Einsparung, mittelbare Schäden und Folgeschäden ist ausgeschlossen. Die obigen Haftungsbeschränkungen gelten nicht für zugesicherte Eigenschaften und Schäden, die auf Vorsatz oder grober Fahrlässigkeit beruhen.
  5. Export. Sie verpflichten sich, die Software und sonstige technische Informationen, die Sie von Config eG erhalten haben, sowie unmittelbare Produkte hiervon nur unter Beachtung aller anwendbaren Exportbestimmungen der Bundesrepublik Deutschland und der Vereinigten Staaten von Amerika (insbesondere des United States Export Administration Act und der dazugehörigen Verordnungen) zu verschicken, zu übertragen oder zu exportieren.
  6. US Behörden. Dieser Lizenzvertrag gilt nicht und kann auch nicht mit Behörden und Dienststellen der Vereinigten Staaten von Amerika abgeschlossen werden, wenn zwischen diesem und Config eG nicht ein Restricted Rights Government User Supplement in der von Config eG vorgeschriebenen Form vereinbart wird.
  7. Schlussbestimmungen. Dieser Lizenzvertrag unterliegt dem Recht der Bundesrepublik Deutschland. Sollten eine oder mehrere Bestimmungen dieses Lizenzvertrages unwirksam sein oder werden, so berührt dies den Rest dieser Vereinbarung nicht. Vielmehr sind die Parteien verpflichtet, anstelle der unwirksamen Regelungen eine Wirksame zu setzen, die rechtlich und wirtschaftlich der Unwirksamen am nächsten kommt. Dieser Lizenzvertrag enthält die gesamte Vereinbarung zwischen den Parteien in bezug auf den Vertragsgegenstand und tritt an die Stelle aller eventuell früherer mündlicher oder schriftlicher Vereinbarungen. Änderungen und Ergänzungen dieses Vertrages sind nur schriftlich wirksam.


Entering the registration key

Once you have registered Loop Recorder, you will get the registration key by e-mail. Entering the key will change Loop Recorder into a registered version:

1. Copy the key from the registration e-mail to the clipboard

  1. Open the registration e-mail
  2. Select the key with your mouse
  3. Copy: Press CTRL-C.

2. Paste the key into the registration box

  1. Start Loop Recorder
  2. Click >> About Register
  3. Paste the key to the registration box ("Reg. Info") by pressing CTRL-V.

3. Enjoy the registered version

Thank you very much for registering!


FAQ

I hear the music, but Loop Recorder is recording silence!

Note that Loop Recorder is not necessarily recording what you hear, because there are two independent mixers for playback and recording.

See the chapter Mixer for details.

When I start Loop Recorder, it says the device is busy!

  • Half duplex soundcards: You have playback running in another application like Winamp or Media Player. You need to stop them first or you should purchase a full duplex soundcard. See recording internet radio.
  • Recording Internet Radio: Some streaming audio players additionally open the recording device (which they should not!). Solution: First start Loop Recorder, then the internet radio. See recording internet radio.
  • You are recording in another program or another session of Loop Recorder is running, but: there can be only one!

I can't save as MP3, the only format listed is WAV!

You need a MP3 capable audio compression codec installed for this feature. Loop Recorder supports Lame_Enc.dll and BladeEnc.dll (both freeware) and the Fraunhofer ACM codec.

  • Windows 95/98SE/ME/NT/2000: To get Fraunhofer's free mp3-codec, please install [image] Windows Media Player 7. See the section MP3 Codec for details.
  • Windows 98 first edition or Windows XP:
    1. Click here to open the Windows Setup.
    2. Click Multimedia
    3. Check Audio Compression
    4. Click Ok and restart the computer

    Note: If Audio Compression is checked already, try to uncheck it, click Ok and restart, recheck it again and click Ok, restart again.

I tried all that, but still can't save as MP3!

See the section MP3 Codec.

Saving as MP3 works, but I need higher bitrates!

Fraunhofer's free codec is limited to 24kHz. Fraunhofer's distributor [image] Opticom sells the professional mp3-codec. The product code is PRP-2A (mp3 "Professional" ACM encoder/decoder).

or:

Additionally, Loop Recorder supports Lame_Enc.dll and BladeEnc.dll compatible encoders. To use them, copy the DLL file(s) to the Loop Recorder program folder or the Windows\System folder.

or:

Loop Recorder supports the QDesign MPEG ACM MP2-codec. See MP3/MP2 Codecs.

Is the registering by credit card really secure?

Yes, our secure server software (SSL) is the industry standard for secure commerce transactions. It encrypts all of your personal information, including credit card number, name, and address, so that it cannot be read as the information travels over the Internet.

The editor always tells me "Can't open wave out"!

  • You have wave playback running in another application, e.g. Winamp.
  • You don't have a fullduplex soundcard and the recording is still running in the background. Configure Loop Recorder, so that it stops the recording, when you click Edit and Save.

We recommend fullduplex soundcards that can record one and playback multiple sources simultaniously, like [image] Sound Blaster™ Live.

Can I open wave files with Loop Recorder's Editor?

No, sorry. Loop Recorder is optimized for recording and editing the recording. We might however include this in a future release.

Other Questions?

If none of the above answered your question, feel free to send your query to Gerald Riechmann. Always include the following information:

  1. Your operating system, e. g. Windows XP
  2. Your soundcard
  3. Loop Recorder's version

http://www.looprecorder.de